## libreoffice 4.0.0~beta2

=== debian/changelog ===
libreoffice (1:4.0.0~beta2-0ubuntu2) raring; urgency=low

  * Build using the internal libmspub for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Feb 2013 00:05:26 +0100

libreoffice (1:4.0.0~beta2-0ubuntu1) raring; urgency=low

  * new upstream prerelease 4.0 beta2:
    - fixes Cross-references and TOC links broken in XHTML export (LP: #122383)
    - fixes Print orientation won't change (LP: #201642)
    - fixes Writer AutoSpellcheck flags capitalized words as misspelled despite
      being added lowercase in the custom dictionary (LP: #220703)
    - fixes Impress mis-rotates text saving to .pptx (LP: #505188)
    - fixes Custom Animation not repeating (LP: #778293)
    - fixes Text not black in LibreOffice (LP: #628105)
    - fixes soffice.bin crashed with SIGABRT in
      __gnu_cxx::__verbose_terminate_handler() (LP: #875583)
    - fixes Add keywords to .desktop files (LP: #950834)
    - fixes Can't open XML files larger than 1.1 MB (LP: #951153)
    - fixes LibreOffice Calc unshows comments importing MS Office xlsx
      (LP: #990868)
    - fixes soffice.bin crashed with SIGSEGV in
      SwAnchoredObject::FindPageFrmOfAnchor() (LP: #1063535)
    - fixes Calc mis-sorts left to right (sort columns) (LP: #1082449)
    - fixes Cannot open xls file in 3.6.3.2, but works in 3.5.4 (LP: #1083947)
    - fixes FILEOPEN Word 97-2003 DOC structure as exported by apple pages is
      not recognized (LP: #1086566)
    - fixes LibreOffice Mailmerge Label generated incorrectly (LP: #1090745)
    - fixes FORMATTING: Objects anchored to cell wrongly positionned to A1
      (LP: #1097433)
    - fixes torn off popups trigger keyboard focus problems (LP: #1097718)
    - fixes default hori/vert frame anchor during RTF import (LP: #1097735)
    - fixes Load Java scripts with class loaders (LP: #1097744)
    - fixes Do not consider timestamp differences as corruption (LP: #1097748)
    - fixes sw: better fix for DOCX table import crash (LP: #1097760)
    - fixes STG_FREE sector locations rejected (LP: #1097811)
    - fixes restrict page sanity check to non-storage chunks (LP: #1097966)
    - fixes German OK and Cancel buttons show ~ (LP: #1103495)
  * re-enable report-builder (LP: #992232)
  * sync unopkg wrapper from Debian (LP: #1022382)
  * enable mergedlibs
  * merge from Debian, adjust mergedlibs-foo, remove debianized patches
  * generate control file that makes ppa prerelease bugs reported to packaging
    mailing list
  * build full l10n for testing
  * add libreoffice-gnome C/R for upstreamed 3.6/quantal vendor-patches

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 13 Feb 2013 00:41:55 +0100

libreoffice (1:4.0.0~beta2-1) UNRELEASED; urgency=low

  * new upstream snapshot
    - contains new driver for mozab (mork). Automatically enabled thus
      this closes: #321099
    - now has a basic(!) gnumeric import in experimental mode
      (closes: #595708)
    - fixes LibreOffice Calc unshows comments importing MS Office xlsx (LP: #990868)

  * debian/control.in:
    - make -impress suggest bluez (for impress remote control)
    - make libreoffice depend on / -common recommend python-uno for the
      new python-based wizards 
  * debian/rules:
    - add new conditionals for new dependencies: liblangtag, liborcus,
      libmspub, (u)cpp; remove them for gone saxon, librsvg, db
    - enable sdrmeote on all archs; b-d on libbluetooth-dev on where we
      enable bluetooth (!kfreebsd-*)
    - use gstreamer1.0
    - temporarily disable python3-uno as the new python-based wizards
      (in comon!) don't work with it...
    - use --disable-dependency-tracking instead of gb_FULLDEPS=
    - python3 is default now; reverse logic (use python3 per default and
      and build python2 in a extra step)
    - add option to build with --enable-mergelibs, not yet enabled.
    - remove stlport hacks for i386 - not used/needed anymore upstream
  * debian/uno-libs3.symbols: update
  * debian/control*.in, debian/rules, debian/scripts/gid2pkgdirs.sh: binfilter
    is gone. yay.

 -- Rene Engelhard <rene@debian.org>  Sat, 22 Dec 2012 18:03:18 +0100

libreoffice (1:3.6.4-1) experimental; urgency=low

  * LibreOffice 3.6.4 release (identical to rc3) 

 -- Rene Engelhard <rene@debian.org>  Tue, 04 Dec 2012 23:23:10 +0100

libreoffice (1:3.6.4~rc3-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/poppler_0_21_x.diff: moove from poppler_0_21_0.diff; fix
    build with 0.21.1 again
  * debian/patches/bigendian-utext-mixup.diff: backport from libreoffice-3-6
    branch to fix ooxml regression test failure

  * debian/rules:
    - don't rely on dictionaries submodule. unused.
  * debian/control.in:
    - remove obsolete Pre-Depends on ure  (>= 1.5.1+OOo3.1.1-15)
      (by the way closes: #693626)
  * debian/control.mozilla.in, debian/rules: rename
    mozilla-libreoffice -> browser-plugin-libreoffice

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Nov 2012 18:40:27 +0100

libreoffice (1:3.6.4~rc1-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/poppler_0_21_0.diff: fix build of sdext with poppler
    0.21.0

  * merge from Ubuntu:
    - fix quoting of PYTHON_{CFLAGS,LIBS} (Matthias Klose) 

  * debian/rules:
    - mention CVE-2012-4233 in 1:3.6.1~rc2-1's changelog
    - re-enable mozilla plugin
    - actually make python version-switching work
  * debian/control.in:
    - recommend fonts-liberation instead of ttf-liberation
      (closes: #691949)
  * debian/libreoffice-core.bug-control:
    - report-with: fonts-opensymbol instead of transitional ttf-opensymbol
  * debian/libreoffice-{core,gtk3}.bug-script.in: 
    - find out whether we have Experimental features enabled

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Nov 2012 22:20:37 +0100

libreoffice (1:3.6.3~rc2-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/soffice-bashisms.diff: fix bashism in soffice for
    valgrinding (closes: #690717)

