## libreoffice 4.0.2

=== debian/changelog ===
libreoffice (1:4.0.2-0ubuntu1) raring; urgency=low

  * new upstream release
  * merge from Debian
  * add junit subsequentcheck as autopkgtest
  * revert ppa specialcasing removal -- the ppa builders are still too small
  * limit jobs for subsequent checks to 1 and re-enable heisenbugged tests
  * make -common break old -emailmerge (LP: #1160533)
  * make -emailmerge B/R consistent
  * we have libservlet-3.0 already
  * revert temp. python3-uno->python3.3-move that we don't need, while trying to
    keep the diff low
  * some lintian tweaks
  * remove self-conflicts
  * build against system liblangtag (requested by Benjamin Drung)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 09 Apr 2013 14:48:23 +0200

libreoffice (1:4.0.2~rc2-1) experimental; urgency=low

  * new upstream release candidate
    - keeps migrating more user extensions after one failed (closes: #703486)

  [ Rene Engelhard ]
  * src/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip: remove
    lib/servlet.jar..
  * debian/patches/fix-internal-hsqldb-build.diff: ... and fix internal
    hsqldb build to use /usr/share/java/servlet-api-2.5.jar

  * merge from Ubuntu:
    - reverting l10n conflicts as they create an unfortunate mess in image and
      installer creation (related: lp#957589)
  * debian/rules, debian/control.in:
    - temporarily rename python3-uno to python3.3-uno to be able to upload
      this to unstable without waiting for a python3-defaults transition. 
  * debian/control.in:
    - mention that python-uno is for old python2 compatibility and move to
      oldlibs
    - make -base recommend -writer (because forms in base need it), thanks#
      Lionel Elie Mamane
    - make -common break all pre-3.6 extensions (closes: #686666)
    - revert make -help-en-us break "the others" to work around 682838
      as it breaks the installer (reopens: #682838) 
  * debian/control.libreloho.in:
    - librelogo needs -writer (see
      http://lists.freedesktop.org/archives/libreoffice/2013-March/048222.html)

  [ Bjoern Michaelsen ]
  * squash and cherry-pick junit autopkgtests from Ubuntu

 -- Rene Engelhard <rene@debian.org>  Tue, 26 Mar 2013 14:01:34 +0100

libreoffice (1:4.0.2~rc1-1) experimental; urgency=low

  * new upstream release candidate 

  * merge from Ubuntu:
    - add transitional for -presenter-console
    - silent some lintian noise for unversioned breaks:
      + promote Breaks to Conflicts against -binfilter as it will never return
      + remove Breaks against -style-industrial which is long gone
      + promote Breaks to Conflicts from langpacks against en-US
    - remove all traces of -so52
  * add patches from Benjamin Drung:
    - Apply fonts package renames from ttf-foo to fonts-foo.
    - Update machine-readable copyright Format to 1.0
    - Standards-Version to 3.9.4 (no changes needed).
  * debian/control.help.in:
    - remove obsolete ${java-common-depends} Recommends
  * debian/control*.in, debian/rules:
    - stop building extra -emailmerge as stuff in -common (wizards) now
      need pyuno anyway.

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2013 02:07:52 +0100

libreoffice (1:4.0.1-0ubuntu2) raring; urgency=low

  * reverting l10n conflicts as they create an unfortunate mess in image and
    installer creation (related: lp#957589)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 11 Mar 2013 14:59:03 +0100

libreoffice (1:4.0.1-0ubuntu1) raring; urgency=low
 
  [ Bjoern Michaelsen ]
  * new upstream release
    - fixes CRASH in action after Undo (LP: #785518)
    - fixes fontconfig warning (LP: #1034928)
    - fixes desktop file translations (LP: #1131470)
  * add transitionals for -presenter-console and -binfilter
  * add sessioninstaller for remaining wizards (LP: #780399)
  * merge from debian at 1:4.0.1~rc1-2
  * remaining delta on debian/control:
    - drop ${java-common-depends} from Recommends to Suggests on
      libreoffice-help-*
    - add libreoffice-gnome | libreoffice-kde Recommends on libreoffice
    - add libreoffice-style-human Suggests to libreoffice-common
    - add libreoffice-common self Conflicts with << 3.5.0
    - drop java-common-depends and java-runtime-depends from Recommends to
      Suggests on libreoffice-writer
    - add libreoffice-pdfimport Recommends on libreoffice-draw
    - drop libreoffice-core from Depends to Recommends on libreoffice-style-*
    - add libreoffice-style-human
    - add C/P/R against lo-menubar from libreoffice-gtk
    - alternatively Recommends libreoffice-style-human from libreoffice-gtk3
    - add C/R against libreoffice-core (<< 1:3.9999) from libreoffice-gnome
    - add Conflicts against libreoffice-common (<< 1:3.5.0) from python3-uno
    - add libreoffice-subsequentcheckbase
    - add libreoffice-presenter-console transitional
  * remaining delta on debian/patches:
    - add Ubuntu brand palette
    - add session-installer for Java Wizards
  * remaining delta on rules:
    - fix configure switch for human theme
    - use internal jfreereport because of huge component mismatch otherwise
    - white progressbar instead of Debian Purple (or Ubuntu orange)
    - adjust bug reporting destination for ppa builds
    - disable tests on armel, armhf, powerpc
    - enable parallel build and mergelibs
    - disable evolution
    - use internal liblangtag for now
    - disable help building on armel/armhf
    - Ubuntu backport fixes
    - reduced l10n for ppa builds
    - alternatively allow firefox-dev to xulrunner-dev as build-dep
    - warn early on GVFS and GIO in same build
    - generate transitionals
    - generate subsequentcheckbase
    - fix missing closing para wrt slide remote
    - move sessioninstaller from -gtk to -gnome for gio deps
    - move subsequentcheckbase jars to package
    - use --with-all-tarballs in addition to our flags for getting the source
      - this is so that ./configure doesnt stumble over other checks
        (e.g. still needing gnomevfs)
  * removed delta:

