=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 # Authors:
 # Chris Halls <halls@debian.org>
 # Rene Engelhard <rene@debian.org>
-# Copyright 2002-2011 Software in the Public Interest, Inc.
+# Copyright 2002-2013 Software in the Public Interest, Inc.
 # Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
-# Portions Copyright 2011-2012 Canonical Ltd. Author: Bjoern Michaelsen
+# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
 ################################################################################
@@ -23,7 +23,6 @@
 BINARY_VERSION=$(DEB_VERSION)
 #HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
 HELP_L10N_VIRTUAL_VERSION:=4.0
-#VER:=4
 OOVER:=4.0
 NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
 
@@ -33,7 +32,6 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/vendor.mk
-DISTREL := $(shell lsb_release -cs)
 SHELL:=/bin/bash
 export gb_SHELL:=$(SHELL)
 
@@ -42,8 +40,8 @@
 # Debian buildds run as user `buildd', other are using /CurrentlyBuilding
 ON_BUILDD := $(shell if [ "`whoami`" = buildd -o -f /CurrentlyBuilding ] || echo $(CURDIR) | grep -q \/build\/buildd; then echo y; else echo n; fi)
 
-PKGDIR:=debian/libreoffice$(VER)
-OODIRNAME=libreoffice$(VER)
+PKGDIR:=debian/libreoffice
+OODIRNAME=libreoffice
 OODIR:=usr/lib/$(OODIRNAME)
 OOUREDIR:=usr/lib/ure
 OOSDKDIR:=$(OODIR)/sdk
@@ -71,34 +69,60 @@
 USE_GIT_TARBALLS=n
 ifeq "$(USE_GIT_TARBALLS)" "y"
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
-lo_sources_ver=4.0.0.0.beta2
+lo_sources_ver=4.0.2.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG:=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-4-0
+GIT_BRANCH=libreoffice-4-0-2
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
-endif
-
-ifeq "$(DISTREL)" "wheezy"
- WHEEZY_BACKPORT=y
 endif
 
 #########
 # Default package configuration
 #
-OOO_ARCHS = amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
+OOO_ARCHS = amd64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc
 PATCHSET=$(DEB_VENDOR)
-BUILD_DEPS=
+BUILD_DEPS=\
+    autoconf,\
+    automake,\
+    bc,\
+    bison,\
+    bzip2,\
+    dpkg-dev (>= 1.16.1),\
+    fastjar,\
+    flex | flex-old,\
+    gperf,\
+    libarchive-zip-perl,\
+    libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],\
+    libcups2-dev,\
+    libfontconfig1-dev,\
+    libfreetype6-dev,\
+    libice-dev,\
+    libsm-dev,\
+    libx11-dev,\
+    libxaw7-dev,\
+    libxext-dev,\
+    libxinerama-dev,\
+    libxkbfile-dev,\
+    libxml-parser-perl,\
+    libxt-dev,\
+    libxtst-dev,\
+    pkg-config,\
+    unzip,\
+    x11proto-render-dev,\
+    xsltproc,\
+    zip,\
+    zlib1g-dev\
 
 # These are components which can be built from internal copies, or used from the
 # distribution. See configure --help for valid values (--with-system-<value>).
 SYSTEM_STUFF = dicts
 
-BUILD_PYUNO=y
+ENABLE_PYTHON=y
 ENABLE_PYTHON2=y
-ifeq "$(BUILD_PYUNO)" "y"
+ifeq "$(ENABLE_PYTHON)" "y"
   ENABLE_SCRIPT_PROVIDER_PYTHON=y
   PACKAGE_LIBRELOGO=y
 endif
@@ -154,11 +178,11 @@
 #SYSTEM_STUFF += sablot
 SYSTEM_STUFF += mythes
 SYSTEM_STUFF += icu
-ICU_MINVER= (>= 4.0)
+ICU_MINVER= (>= 4.6)
 SYSTEM_STUFF += libwpd libwpg libwps
 SYSTEM_STUFF += libvisio
 SYSTEM_STUFF += libcdr
-#SYSTEM_STUFF += libmspub
+SYSTEM_STUFF += libmspub
 #SYSTEM_STUFF += xmlsec
 BUILD_CAIROCANVAS=y
 SYSTEM_STUFF += cairo
@@ -174,6 +198,9 @@
 endif
 KDELIBS_MINVER= (>= 4:4.3.4)
 BUILD_DBG_PACKAGE=y
+ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+  BUILD_TEST_PACKAGE=y
+endif
 ifeq "$(BUILD_DBG_PACKAGE)" "y"
   ENABLE_SYMBOLS=y
   SMALL_SYMBOLS=y
@@ -265,25 +292,3 @@
 #endif
 ENABLE_EVO2=y
 ENABLE_GVFS=n
-ENABLE_GCONF=y
-ENABLE_GIO=y
-ENABLE_RANDR=y
-ifeq "$(BUILD_GTK)" "y"
-  PACKAGE_NSPLUGIN=y
-  ifeq "$(PACKAGE_NSPLUGIN)" "y"
-	SYSTEM_STUFF += npapi-headers
-  endif
-endif
-PACKAGE_BASE=y
-ENABLE_GRAPHITE=y
-SYSTEM_STUFF += graphite
-ALLOC=system
-SYSTEM_STUFF += libexttextcat
-SYSTEM_STUFF += cppunit
-ENABLE_LIBRSVG=y
-SYSTEM_LIBRSVG=y
-# when we have a package we want to have to be installed on older things with some older
-# C++ ABI (like it was the case with libreoffice2), we need to set this. Don't touch
-# otherwise
-SYSTEM_STUFF += stdlibs
-DEFAULT_IMAGE=galaxy
